#!/bin/bash
# Service menu for PDF tools : script to install

# This file is part of PDFktools.
# PDFktools was created by Sylvain Vidal < garion @ mailoo.org >
#
# PDFktools is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# PDFktools is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

KDEDIR="$(kde4-config --prefix)"

install_lang(){
    echo "- translation in $2"
    DIR="$KDEDIR/share/locale/$1/LC_MESSAGES/"; verif_dir $DIR
    msgfmt -o pdfktools.mo "po/pdfktools_$1.po"
    install -m 644 pdfktools.mo $DIR/
    rm pdfktools.mo
}

verif_dir(){
    if [ ! -d $1 ]; then install -d $1; fi
}

cd "$(dirname $0)"

echo "==> Install script file"
DIR="$KDEDIR/bin/"; verif_dir $DIR
install -m 755 src/pdfktools.sh $DIR/

echo "==> Install desktop file"
DIR="$KDEDIR/share/kde4/services/ServiceMenus"; verif_dir $DIR
install -m 644 src/pdfktools.desktop $DIR/

echo "==> Install languages files"
install_lang de German
install_lang el Greek
install_lang fr French
install_lang hu Hungarian
install_lang nl Dutch

echo "==> PDFktools has been installed."
